Create Plan V5
Create a unified plan for any workload type
- application/json
Request Body
- planName string required
Name for the new plan
- planSubtype string required
Possible values: [
ExchangeUser,Office365,Server,Archiver,Laptop] rpo object
Recovery Point Objective configuration including backup and snapshot frequencies
backupFrequency object
Frequency at which backup jobs run
type FrequencyTypePossible values: [
MINUTES,HOURS,DAYS,WEEKS,MONTHS,YEARS]Type of frequency interval for schedules
value int32Frequency value
snapFrequency object
Frequency at which snapshot jobs run
type FrequencyTypePossible values: [
MINUTES,HOURS,DAYS,WEEKS,MONTHS,YEARS]Type of frequency interval for schedules
value int32Frequency value
copies object[] required
List of storage copies for the plan
isPrimaryCopy boolean requiredWhether this is the primary copy
isSnapCopy boolean requiredWhether this is a snap copy
storagePool object
Storage pool to use for this copy
id int32name stringretentionPeriodDays int32Number of days to retain data on this copy
extendedRetentionRules object
If you want to update, specify the whole object. Extended retention rules should be bigger than retention period.
firstExtendedRetentionRule object
isInfiniteRetention booleanIf this is set as true, no need to specify retentionPeriodDays.
retentionPeriodDays int32If this is set, no need to specify isInfiniteRetention as false.
type stringPossible values: [
All_JOBS,ALL_FULLS,HOURLY_FULLS,DAILY_FULLS,WEEKLY_FULLS,MONTHLY_FULLS,QUARTERLY_FULLS,HALF_YEARLY_FULLS,YEARLY_FULLS,ADVANCED,MANUAL_JOBS]All_JOBS means SYNCHRONOUS copy type, others are applicable for SELECTIVE copy Type only.
secondExtendedRetentionRule object
isInfiniteRetention booleanIf this is set as true, no need to specify retentionPeriodDays.
retentionPeriodDays int32If this is set, no need to specify isInfiniteRetention as false.
type stringPossible values: [
All_JOBS,ALL_FULLS,HOURLY_FULLS,DAILY_FULLS,WEEKLY_FULLS,MONTHLY_FULLS,QUARTERLY_FULLS,HALF_YEARLY_FULLS,YEARLY_FULLS,ADVANCED,MANUAL_JOBS]All_JOBS means SYNCHRONOUS copy type, others are applicable for SELECTIVE copy Type only.
thirdExtendedRetentionRule object
isInfiniteRetention booleanIf this is set as true, no need to specify retentionPeriodDays.
retentionPeriodDays int32If this is set, no need to specify isInfiniteRetention as false.
type stringPossible values: [
All_JOBS,ALL_FULLS,HOURLY_FULLS,DAILY_FULLS,WEEKLY_FULLS,MONTHLY_FULLS,QUARTERLY_FULLS,HALF_YEARLY_FULLS,YEARLY_FULLS,ADVANCED,MANUAL_JOBS]All_JOBS means SYNCHRONOUS copy type, others are applicable for SELECTIVE copy Type only.
backupToCopy BackupToCopySchedulePossible values: [
ALL_JOBS,ALL_FULLS,HOURLY,DAILY,WEEKLY,MONTHLY,QUARTERLY,HALF_YEARLY,YEARLY,MANUALLY_PICK_JOBS]Specifies which backup jobs to copy
region object
Which region to configure bundled storage, applicable when storage is hosted on commvault storage account (Bundled with subscription).
id int32name stringsnapRecoveryPoints int32Number of snapshots to retain for this copy. Applicable only when isSnapCopy is true.
archivingRules object
These rules are enforced only when archiving is set to true
startCleaningIfLessThan int32Default value:
50When free disk space falls below specified amount (in percentage), start cleaning up the disk
stopCleaningIfupto int32Default value:
80When free disk space more than specified amount (in percentage), stop cleaning up the disk
fileAccessTimeOlderThan int32Default value:
90To archive files based on the last accessed date of each file within the folder, specify the number of days
fileModifiedTimeOlderThan int32Default value:
90To archive files based on the last modified date of each file within the folder, specify the number of days
fileCreatedTimeOlderThan int32To archive files based on the time the files were created within the folder, specify the number of days
fileSizeGreaterThan int32Default value:
1024To archive files based on the size of the file, specify the minimum file size in KB. All files whose size ranges between the minimum and maximum values are archived.
maximumFileSize int32To archive files based on the size of the file, specify the maximum file size in KB. All files whose size ranges between the minimum and maximum values are archived.
archiveReadOnlyFiles booleanDefault value:
falseTo archive files based on the Read-Only attribute, set to TRUE
afterArchivingPossible values: [
REPLACE_FILE_WITH_STUB,DELETE_THE_FILE]After an archive job, replace the file that meets the archiving rules with a stub or delete the file that meets the archiving rules
- backupInRegion boolean
Default value:
falseDynamically provision backup storage based on workload region at backup time.
storageCategory object required
Storage category configuration (BYOS or Bundled)
type PlanStorageCategoryType requiredPossible values: [
BYOS_STORAGE,BUNDLED_STORAGE]Default value:
BYOS_STORAGECategory type of plan storage
bundledStorageProperties object
Properties for bundled storage configuration
workload object
Workload entity to determine the plan type
id int32name stringworkloadLocation WorkloadLocationPossible values: [
NONE,ONPREM,AWS,Azure,ALL,Google,OCI,STACKIT]Workload location for the plan
mediaAgents object[]
List of media agents to use for bundled storage
id int32name string
- 201
- 400
- 403
- 404
Created
- application/json
- Schema
- Example (from schema)
Schema
plan object
Created plan with id and name
id int32name stringerror object
errorMessage stringerrorCode int32
{
"plan": {
"id": 0,
"name": "string"
},
"error": {
"errorMessage": "string",
"errorCode": 0
}
}
Bad Request
Forbidden
Requested Details not found